Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class StructureFactory

    java.lang.Object
      org.eclipse.birt.report.model.api.StructureFactory

    public class StructureFactory

extends java.lang.Object

Provides the factory method to create empty structures.

Constructor Summary
`StructureFactory()`

Method Summary
`static Action` | `createAction()` Creates an empty action structure.
`static AggregationArgument` | `createAggregationArgument()` Creates an aggregation argument for computed column.
`static CachedMetaData` | `createCachedMetaData()` Creates an empty data set cached meta-data structure.
`static ColumnHint` | `createColumnHint()` Creates an empty column hint structure.
`static ComputedColumn` | `createComputedColumn()` Creates an empty computed column structure.
`static ConfigVariable` | `createConfigVar()` Creates an empty config variable structure.
`static DimensionCondition` | `createCubeJoinCondition()` Creates an empty cube join condition structure.
`static CustomColor` | `createCustomColor()` Creates an empty custom color structure.
`static DataSetParameter` | `createDataSetParameter()` Creates an empty data-set parameter structure.
`static DimensionJoinCondition` | `createDimensionJoinCondition()` Creates an empty dimension join condition structure.
`static EmbeddedImage` | `createEmbeddedImage()` Creates an empty embedded image structure.
`static EmbeddedImage` | `createEmbeddedImage(EmbeddedImageHandle baseImage)` Deprecated. by `newEmbeddedImageFrom(EmbeddedImageHandle, String, ModuleHandle)`
`static ExtendedProperty` | `createExtendedProperty()` Creates an empty extended property structure.
`static FilterCondition` | `createFilterCond()` Creates an empty filter condition structure.
`static HideRule` | `createHideRule()` Creates an empty hide rule structure.
`static HighlightRule` | `createHighlightRule()` Creates an empty highlight rule structure.
`static IncludedCssStyleSheet` | `createIncludedCssStyleSheet()` Create an empty include css style sheet ststructure.
`static IncludedLibrary` | `createIncludeLibrary()` Creates an empty include library structure.
`static IncludeScript` | `createIncludeScript()` Creates an empty include script structure.
`static JoinCondition` | `createJoinCondition()` Creates an empty join condition structure.
`static LevelAttribute` | `createLevelAttribute()` Creates an attribute for TabularLevel.
`static MapRule` | `createMapRule()` Creates an empty map rule structure.
`static OdaDataSetParameter` | `createOdaDataSetParameter()` Creates an empty oda-data-set parameter strcuture.
`static OdaDesignerState` | `createOdaDesignerState()` Creates an empty oda designer state.
`static OdaLevelAttribute` | `createOdaLevelAttribute()` Creates an attribute for OdaLevel.
`static OdaResultSetColumn` | `createOdaResultSetColumn()` Creates an empty oda result set column structure.
`static ParamBinding` | `createParamBinding()` Creates an empty parameter binding structure.
`static PropertyMask` | `createPropertyMask()` Creates an empty property mask structure.
`static ResultSetColumn` | `createResultSetColumn()` Creates an empty result set column structure.
`static Rule` | `createRule()` Creates a Rule structure.
`static ScriptLib` | `createScriptLib()` Creates an empty join condition structure.
`static SearchKey` | `createSearchKey()` Creates an empty search key structure.
`static SelectionChoice` | `createSelectionChoice()` Creates an empty selection choice structure.
`static SortKey` | `createSortKey()` Creates an empty sort key structure.
`static TOC` | `createTOC()` Create TOC structure.
`static TOC` | `createTOC(java.lang.String expression)` Create TOC structure with expression value.
`static ComputedColumn` | `newComputedColumn(DesignElementHandle element, java.lang.String newName)` Creates a bound data column name with the unique column name.
`static EmbeddedImage` | `newEmbeddedImageFrom(EmbeddedImageHandle baseImage, ModuleHandle targetModule)` Creates an embedded image from another library embedded image.
`static EmbeddedImage` | `newEmbeddedImageFrom(EmbeddedImageHandle baseImage, java.lang.String name, ModuleHandle targetModule)` Creates an embedded image from another library embedded image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureFactory

    public StructureFactory()

Method Detail

### createCachedMetaData

    public static CachedMetaData createCachedMetaData()

  Creates an empty data set cached meta-data structure.

  Returns:
    an empty data set cached meta-data structure.

### createComputedColumn

    public static ComputedColumn createComputedColumn()

  Creates an empty computed column structure.

  Returns:
    an empty computed column structure

### createAction

    public static Action createAction()

  Creates an empty action structure.

  Returns:
    an empty action structure.

### createConfigVar

    public static ConfigVariable createConfigVar()

  Creates an empty config variable structure.

  Returns:
    an empty config variable structure

### createCustomColor

    public static CustomColor createCustomColor()

  Creates an empty custom color structure.

  Returns:
    an empty custom color structure

### createDataSetParameter

    public static DataSetParameter createDataSetParameter()

  Creates an empty data-set parameter structure.

  Returns:
    an empty data-set parameter structure

### createOdaDataSetParameter

    public static OdaDataSetParameter createOdaDataSetParameter()

  Creates an empty oda-data-set parameter strcuture.

  Returns:
    an empty oda-data-set parameter

### createEmbeddedImage

    public static EmbeddedImage createEmbeddedImage()

  Creates an empty embedded image structure.

  Returns:
    an empty embedded image structure

### createFilterCond

    public static FilterCondition createFilterCond()

  Creates an empty filter condition structure.

  Returns:
    an empty filter condition structure

### createHideRule

    public static HideRule createHideRule()

  Creates an empty hide rule structure.

  Returns:
    an empty hide rule structure

### createIncludeScript

    public static IncludeScript createIncludeScript()

  Creates an empty include script structure.

  Returns:
    an empty include script structure

### createIncludeLibrary

    public static IncludedLibrary createIncludeLibrary()

  Creates an empty include library structure.

  Returns:
    an empty include library structure

### createIncludedCssStyleSheet

    public static IncludedCssStyleSheet createIncludedCssStyleSheet()

  Create an empty include css style sheet ststructure.

  Returns:
    an empty include css style sheet structure.

### createParamBinding

    public static ParamBinding createParamBinding()

  Creates an empty parameter binding structure.

  Returns:
    an empty parameter binding structure

### createPropertyMask

    public static PropertyMask createPropertyMask()

  Creates an empty property mask structure.

  Returns:
    an empty property mask structure

### createResultSetColumn

    public static ResultSetColumn createResultSetColumn()

  Creates an empty result set column structure.

  Returns:
    an empty result set column structure

### createOdaResultSetColumn

    public static OdaResultSetColumn createOdaResultSetColumn()

  Creates an empty oda result set column structure.

  Returns:
    an empty result set column structure

### createSearchKey

    public static SearchKey createSearchKey()

  Creates an empty search key structure.

  Returns:
    an empty search key structure

### createSelectionChoice

    public static SelectionChoice createSelectionChoice()

  Creates an empty selection choice structure.

  Returns:
    an empty selection choice structure

### createSortKey

    public static SortKey createSortKey()

  Creates an empty sort key structure.

  Returns:
    an empty sort key structure

### createColumnHint

    public static ColumnHint createColumnHint()

  Creates an empty column hint structure.

  Returns:
    an empty column hint structure

### createHighlightRule

    public static HighlightRule createHighlightRule()

  Creates an empty highlight rule structure.

  Returns:
    an empty highlight rule structure

### createMapRule

    public static MapRule createMapRule()

  Creates an empty map rule structure.

  Returns:
    an empty map rule structure

### createExtendedProperty

    public static ExtendedProperty createExtendedProperty()

  Creates an empty extended property structure.

  Returns:
    an empty extended property structure

### createJoinCondition

    public static JoinCondition createJoinCondition()

  Creates an empty join condition structure.

  Returns:
    an empty join condition structure

### createScriptLib

    public static ScriptLib createScriptLib()

  Creates an empty join condition structure.

  Returns:
    an empty join condition structure

### createOdaDesignerState

    public static OdaDesignerState createOdaDesignerState()

  Creates an empty oda designer state.

  Returns:
    an empty oda designer state.

### createEmbeddedImage

    public static EmbeddedImage createEmbeddedImage(EmbeddedImageHandle baseImage)

  Deprecated. by `newEmbeddedImageFrom(EmbeddedImageHandle, String, ModuleHandle)`

  Creates an embedded image from another library embedded image.

  Parameters:
    `baseImage` -
  Returns:
    the created embedded image

### newEmbeddedImageFrom

    public static EmbeddedImage newEmbeddedImageFrom(EmbeddedImageHandle baseImage,
                                                     java.lang.String name,
                                                     ModuleHandle targetModule)
                                              throws LibraryException

  Creates an embedded image from another library embedded image. The name of the return embedded image fully depends on `name`.

  Parameters:
    `baseImage` - the base image
    `name` - the name of the return embedded image
    `targetModule` - the target module that is inserted to
  Returns:
    the created embedded image
  Throws:
    `LibraryException` - if the library has the `baseImage` is not included in the `targetModule`

### newEmbeddedImageFrom

    public static EmbeddedImage newEmbeddedImageFrom(EmbeddedImageHandle baseImage,
                                                     ModuleHandle targetModule)
                                              throws LibraryException

  Creates an embedded image from another library embedded image. This method creates the embedded image name automatically.

  Parameters:
    `baseImage` - the base image
    `targetModule` - the target module that is inserted to
  Returns:
    the created embedded image
  Throws:
    `LibraryException` - if the library has the `baseImage` is not included in the `targetModule`

### newComputedColumn

    public static ComputedColumn newComputedColumn(DesignElementHandle element,
                                                   java.lang.String newName)

  Creates a bound data column name with the unique column name. The new name is given as "newName_[number]".

  For example, if the `newName` is "column" and this is duplicate, then the name of return column is: "column_1".

  Parameters:
    `element` - the element on which computed column will be added
    `newName` - the default column name
  Returns:
    a bound data column. If the `newName` is unique, the name in the return value is `newName`. Otherwise the newly created name follows the above schema. It can also be `null` if the given element do not support bound data column property.
  Throws:
    `java.lang.IllegalArgumentException` - if the `newName` is `null`.

### createTOC

    public static TOC createTOC()

  Create TOC structure.

  Returns:
    toc object

### createTOC

    public static TOC createTOC(java.lang.String expression)

  Create TOC structure with expression value.

  Parameters:
    `expression` - expression value
  Returns:
    toc object

### createCubeJoinCondition

    public static DimensionCondition createCubeJoinCondition()

  Creates an empty cube join condition structure.

  Returns:
    an empty cube join condition structure.

### createDimensionJoinCondition

    public static DimensionJoinCondition createDimensionJoinCondition()

  Creates an empty dimension join condition structure.

  Returns:
    an empty dimension join condition structure.

### createRule

    public static Rule createRule()

  Creates a Rule structure.

  Returns:
    a rule structure

### createLevelAttribute

    public static LevelAttribute createLevelAttribute()

  Creates an attribute for TabularLevel.

  Returns:
    a level attribute

### createOdaLevelAttribute

    public static OdaLevelAttribute createOdaLevelAttribute()

  Creates an attribute for OdaLevel.

  Returns:
    a level attribute

### createAggregationArgument

    public static AggregationArgument createAggregationArgument()

  Creates an aggregation argument for computed column.

  Returns:
    an aggregation argument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.